Not Working Since 1.8.1 Upgrade Bedømmelse: 4 ud af 5 stjerner

I had received that captcha error for the first time earlier today, but then once I logged into goo.gl everything was back to working as normal. However, since upgrading to the latest version, 1.8.1, I can still create a goo.gl url by right-clicking on websites, but they now no longer show up on my goo.gl page (and yes, I'm logged in and allow cookies).
Can I downgrade to the previous version?

How to downgrade

Yes, follow the instructions at http://www.ghacks.net/2011/12/18/how-to-downgrade-firefox-add-ons/. However, if you do so, please check back. I will post an update when I have authentication working with the new API.